<?php

namespace App\Service;

use App\Exception;

class BranchService {
    private $factory;

    public function __construct (\App\Factory\BranchFactory $factory) {
        $this->factory = $factory;
    }
    
    public function fetchBranch ($merchantId) {
        return $this->factory->fetchBranch($merchantId);
    }
    
}
